#ifndef COLLISIONDATA_HPP_INCLUDED
#define COLLISIONDATA_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class CollisionData : public Object
    {
        public:
            CollisionData(const void* Obj);

            CollisionData() = default;
            CollisionData(CollisionData&& Obj) = default;
            CollisionData(const CollisionData& Obj) = default;
            CollisionData& operator=(CollisionData&& Obj) = default;
            CollisionData& operator=(const CollisionData& Obj) = default;

            static Class GetClass();

            std::vector<std::vector<std::int32_t>> GetFlags() const;
            std::int32_t GetHeight() const;
            std::int32_t GetWidth() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;

    };
}

#endif // COLLISIONDATA_HPP_INCLUDED
